Package org.springframework.security.authentication.ott

# Interface OneTimeToken

All Known Implementing Classes:
  `DefaultOneTimeToken`

public interface OneTimeToken
Represents a one-time use token with an associated username and expiration time.

Since:
  6.4

## Method Summary

Modifier and Type
Method
Description
`Instant`
`getExpiresAt()`
`String`
`getTokenValue()`
`String`
`getUsername()`

## Method Details

### getTokenValue

String getTokenValue()

Returns:
  the one-time token value, never `null`

### getUsername

String getUsername()

Returns:
  the username associated with this token, never `null`

### getExpiresAt

Instant getExpiresAt()

Returns:
  the expiration time of the token